## org.gnu.gtk
Class IMContext

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.IMContext

Direct Known Subclasses:
  IMContextSimple, IMMulticontext

public class IMContext
extends GObject

Constructor Summary
`IMContext(org.gnu.glib.Handle handle)`

Method Summary
`void` `focusIn()`
`void` `focusOut()`
`static IMContext` `getIMContext(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `reset()`
`void` `setClientWindow(Window window)` Sets the client window for the input context.
`void` `setCursorLocation(Rectangle rect)`
`void` `setUsePreedit(boolean usePreedit)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMContext

    public IMContext(org.gnu.glib.Handle handle)

Method Detail

### getIMContext

    public static IMContext getIMContext(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setClientWindow

    public void setClientWindow(Window window)

  Sets the client window for the input context.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### focusIn

    public void focusIn()

### focusOut

    public void focusOut()

### reset

    public void reset()

### setCursorLocation

    public void setCursorLocation(Rectangle rect)

### setUsePreedit

    public void setUsePreedit(boolean usePreedit)